FROM php:7.3.6-fpm-alpine3.8

LABEL maintainer="alessandro.lai85@gmail.com"

# workaround for https://github.com/docker-library/php/issues/240
RUN apk add --no-cache --repository http://dl-cdn.alpinelinux.org/alpine/edge/community/ gnu-libiconv
ENV LD_PRELOAD /usr/lib/preloadable_libiconv.so php

RUN apk --no-cache add \
        git \
        icu-dev \
        libzip-dev \
    && docker-php-ext-install -j5 \
        intl \
        opcache \
        pcntl \
        pdo_mysql \
        zip \
    # check that all ext ant their dynamic links are working 
    && php -m

WORKDIR /var/www/sfday

 ## Utente non-root (no sudo)
RUN adduser -D -u 1000 sfday -G www-data \
    && mkdir -p /home/sfday \
    && chown -R sfday /home/sfday \
    && chown -R sfday /var/www/sfday \
 ## Composer and accounts
    && curl -sS https://getcomposer.org/installer | php -- \ 
        --install-dir=/usr/local/bin \
        --version=1.8.6 \
        --filename=composer

USER sfday

ARG GITHUB_TOKEN

RUN composer config -g github-oauth.github.com $GITHUB_TOKEN \
    && composer global require --no-suggest --no-interaction hirak/prestissimo \
    && composer clearcache
